Refresh customer token

Expires actual customer oauth tokens (on every device) and generates a new oauth token without OTP verification

This endpoint should be called when the eCommerce has a registered deviceId and wants to get a new ACTIVE customer oauth token for it. Data requirements are the following:

  • If the current customer oauth token for the device is still active, no extra data is needed.
  • If the current customer oauth token for the device is expired, one of the following credentials must be provided:
    • otp
    • password
    • security_answers
    • extra_login_data (available only for eCommerces not using undostresWallet authentication systems)

Note:

  • otp / password / security_answers → will return an INACTIVE token, waiting for activation with the activate_token endpoint.
  • extra_login_data → available only for eCommerces not using undostresWallet authentication systems.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The same refresh token that was generated during the create account flow

string
required

The same device_id that was sent in the create account request

string
required

Token associated to the ecommerce provided by undostresWallet

(the same one that is usually sent in the headers when communicating with other endpoints)

string
required

Data which proves that the user has been authenticated (if you use undostresWallet's authentication services, an otp code will be sent to the user's mobile making this field unneeded. Otherwise this field is required.)

boolean

Determines whether to send an otp code to the customer for authentication. If true, an inactive token will be returned (activate with ActivateToken).

string

The customer's password, only required when the customer_oauth_token associated to the sent customer_refresh_token is expired

string

The customer's security answers in json format, only required when the customer_oauth_token associated to the sent customer_refresh_token is expired

Headers
string
required

OAuth token belonging to the e-commerce

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json